Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0023976
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2013-06-04 10:522013-07-05 11:42
ReporterjecharriView Statuspublic 
Assigned Tomigueldejuana 
PriorityurgentResolutionfixedFixed in VersionRMP24
StatusclosedFix in branchFixed in SCM revision75c362f05b34
ProjectionnoneETAnoneTarget VersionRMP24
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0023976: Receipt properties popup does not work

DescriptionReceipt properties popup does not work
Steps To Reproduce-create a ticket
-go to "receipt properties"

Verify that checkboxes "Invoice" and "To be returned" are blocked
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0059166)
dmitry_mezentsev (developer)
2013-06-04 13:57

Rob,

We need your advice here. There is a usability issue in the Receipt properties popup.
Some properties of the ticket are editable, some are not but both visualized the same.

I see following options:
1. Remove not editable properties and then rename pop-up to "Additional ticket information". My preferred choice.
2. Visualize not editable properties differently. We would need also to add here Layaways option and Quotation. So more things to maintain and we already have this info in the ticket.
3. Make those options editable. Above applies and we already have these actions in the menu, so we will be duplicating things.
(0059381)
dmitry_mezentsev (developer)
2013-06-12 10:21

Rob,

But what is your take on this?
If nothing then we will continue with option 1 then.
(0059457)
hgbot (developer)
2013-06-17 12:07

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 75c362f05b348f647720d5cf4b5f60e4a7e12b16
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Mon Jun 17 12:07:28 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/75c362f05b348f647720d5cf4b5f60e4a7e12b16 [^]

Fixed issue 23976. Removed read-only properties from the Receipt Properties popup

---
M web/org.openbravo.retail.posterminal/js/components/modalreceiptproperties.js
---
(0059498)
guilleaer (developer)
2013-06-18 18:08

verified
(0059752)
hgbot (developer)
2013-06-28 10:28

Repository: erp/pmods/org.openbravo.retail.posterminal.multiorder
Changeset: 75c362f05b348f647720d5cf4b5f60e4a7e12b16
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Mon Jun 17 12:07:28 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/75c362f05b348f647720d5cf4b5f60e4a7e12b16 [^]

Fixed issue 23976. Removed read-only properties from the Receipt Properties popup

---
M web/org.openbravo.retail.posterminal/js/components/modalreceiptproperties.js
---
(0059887)
guilleaer (developer)
2013-07-05 11:42

reclosed

- Issue History
Date Modified Username Field Change
2013-06-04 10:52 jecharri New Issue
2013-06-04 10:52 jecharri Assigned To => guilleaer
2013-06-04 13:27 jecharri Steps to Reproduce Updated View Revisions
2013-06-04 13:48 dmitry_mezentsev Assigned To guilleaer => rgoris
2013-06-04 13:57 dmitry_mezentsev Note Added: 0059166
2013-06-11 16:45 migueldejuana Assigned To rgoris => migueldejuana
2013-06-12 10:21 dmitry_mezentsev Note Added: 0059381
2013-06-17 12:07 hgbot Checkin
2013-06-17 12:07 hgbot Note Added: 0059457
2013-06-17 12:07 hgbot Status new => resolved
2013-06-17 12:07 hgbot Resolution open => fixed
2013-06-17 12:07 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/75c362f05b348f647720d5cf4b5f60e4a7e12b16 [^]
2013-06-18 18:08 guilleaer Review Assigned To => guilleaer
2013-06-18 18:08 guilleaer Note Added: 0059498
2013-06-18 18:08 guilleaer Status resolved => closed
2013-06-18 18:08 guilleaer Fixed in Version => RMP24
2013-06-28 10:28 hgbot Checkin
2013-06-28 10:28 hgbot Note Added: 0059752
2013-06-28 10:28 hgbot Status closed => resolved
2013-06-28 10:28 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/75c362f05b348f647720d5cf4b5f60e4a7e12b16 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/75c362f05b348f647720d5cf4b5f60e4a7e12b16 [^]
2013-07-05 11:42 guilleaer Note Added: 0059887
2013-07-05 11:42 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker